Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api
Class DefaultTask

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask

    class DefaultTask
    extends AbstractTask

author:
  Hans Dockter

Constructor Summary
`DefaultTask()`
`DefaultTask(Project project, java.lang.String name)`

Method Summary
`Task` | `configure(groovy.lang.Closure closure)`
`Task` | `doFirst(groovy.lang.Closure action)`
`Task` | `doLast(groovy.lang.Closure action)`
`Task` | `leftShift(groovy.lang.Closure action)`
`def` | `methodMissing(java.lang.String name, def arguments)`
`def` | `propertyMissing(java.lang.String name)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`

Methods inherited from class AbstractTask
captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getPath, getProject, getSkipProperties, getStandardOutputCapture, getTaskDependencies, hasProperty, hashCode, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setProject, setProperty, setSkipProperties, setStandardOutputCapture, toString

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### DefaultTask

    public DefaultTask()

### DefaultTask

    public DefaultTask(Project project, java.lang.String name)

Method Detail

### configure

    Task configure(groovy.lang.Closure closure)

### doFirst

    Task doFirst(groovy.lang.Closure action)

### doLast

    Task doLast(groovy.lang.Closure action)

### leftShift

    public Task leftShift(groovy.lang.Closure action)

### methodMissing

    public def methodMissing(java.lang.String name, def arguments)

### propertyMissing

    public def propertyMissing(java.lang.String name)

### setProperty

    void setProperty(java.lang.String name, java.lang.Object value)

Groovy Documentation